Page MenuHomePhabricator

Deploy kibana with debian packages
Closed, ResolvedPublic

Description

Package needs to be imported to apt.wikimedia.org:

https://download.elastic.co/kibana/kibana/kibana_4.5.1_amd64.deb

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2016, 9:02 PM
bd808 added a subscriber: bd808.Mar 11 2016, 11:28 PM
bd808 added subscribers: EBernhardson, Zppix.

From T138331: Assemble tooling necessary to deploy kibana 4 with scap3:

Kibana 3 was a static javascript application that ran in the browser, kibana 4 is a rewrite which now provides a nodejs service that must run on the servers. Put together tooling necessary to deploy and monitor this service. Might need assistance from RelEng and Services for best practices around how to set this up.

@bd808 is there any great reason to deploy with scap3, vs installing the provided deb packages?

bd808 added a comment.Jun 21 2016, 6:59 PM

@bd808 is there any great reason to deploy with scap3, vs installing the provided deb packages?

Probably not if the debs are ok with our techops folks.

I haven't reviewed the deb packages for kibana, though we're already importing elastic.co packages for ES and logstash

EBernhardson renamed this task from Deploy kibana with scap3 to Deploy kibana with debian packages.Jun 27 2016, 8:55 PM
EBernhardson updated the task description. (Show Details)

Change 296279 had a related patch set uploaded (by EBernhardson):
[WIP] Update kibana module for kibana 4

https://gerrit.wikimedia.org/r/296279

Change 296477 had a related patch set uploaded (by EBernhardson):
Import kibana .deb to apt repository

https://gerrit.wikimedia.org/r/296477

I took a quick look at the debian packages for kibana and seems generally fine, the postrm script will unconditionally remove the user kibana if present but that shouldn't be an immediate problem.

There's a fair number of node packages bundled (~900 package.json files) though none of the production kibana is exposed publicly afaik.

Change 296477 merged by Gehel:
Import kibana .deb to apt repository

https://gerrit.wikimedia.org/r/296477

Change 296279 merged by Gehel:
Update kibana module for kibana 4

https://gerrit.wikimedia.org/r/296279

EBernhardson closed this task as Resolved.Jul 18 2016, 10:57 PM
EBernhardson claimed this task.

merged and deployed

bd808 moved this task from To Do to Archive on the User-bd808 board.Jul 19 2016, 11:42 PM